%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A handy file search tool
Name:		catfish
Version:	4.16.0
Release:	%mkrel 1
Group:		File tools
License:	GPLv2+
URL:		https://docs.xfce.org/apps/catfish/start
Source0:	https://archive.xfce.org/src/apps/catfish/%{url_ver}/catfish-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3dist(python-distutils-extra)
BuildRequires:	python3dist(pygobject)
BuildRequires:	typelib(Gtk) < 4.0
Requires:	python3dist(pygobject)
Requires:	python3dist(pexpect)
Requires:	mlocate
Requires:	findutils

%description
Catfish is a handy file searching tool for Linux and Unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.

%prep
%autosetup -p1

%build
%py3_build

%install
#%%py3_install fails because of --skip-build
CFLAGS="%{optflags}" %__python3 setup.py install -O1 --root %{buildroot}

desktop-file-install \
	--remove-category="Utility" \
	--add-category='System' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README*
%{_bindir}/%{name}
%{_datadir}/applications/org.xfce.Catfish.desktop
%{_datadir}/metainfo/catfish.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.xfce.catfish.{png,svg}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}_lib/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 10 2021 wally <wally> 4.16.0-1.mga8
+ Revision: 1670266
- new version 4.16.0

* Mon Oct 26 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1639640
- new version 4.15.0

* Wed Feb 19 2020 umeabot <umeabot> 1.4.13-2.mga8
+ Revision: 1543153
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 wally <wally> 1.4.13-1.mga8
+ Revision: 1478096
- new version 1.4.13

* Wed Jan 01 2020 wally <wally> 1.4.12-1.mga8
+ Revision: 1475375
- new version 1.4.12

* Sun Dec 22 2019 wally <wally> 1.4.11-1.mga8
+ Revision: 1469491
- new version 1.4.11

* Sat Sep 14 2019 wally <wally> 1.4.10-1.mga8
+ Revision: 1440678
- new version 1.4.10

* Sun Aug 11 2019 wally <wally> 1.4.9-1.mga8
+ Revision: 1428782
- new version 1.4.9

* Sat Jul 27 2019 wally <wally> 1.4.8-1.mga8
+ Revision: 1424637
- new version 1.4.8

* Sun Jan 27 2019 wally <wally> 1.4.7-1.mga7
+ Revision: 1361257
- new version 1.4.7
- switch to python3
- drop zeitgeist recommends

* Thu Sep 20 2018 umeabot <umeabot> 1.4.6-2.mga7
+ Revision: 1277794
- Mageia 7 Mass Rebuild

* Sun Jul 15 2018 wally <wally> 1.4.6-1.mga7
+ Revision: 1243773
- new version 1.4.6

* Sat Feb 24 2018 shlomif <shlomif> 1.4.4-1.mga7
+ Revision: 1204844
- New version 1.4.4

* Tue May 30 2017 wally <wally> 1.4.2-1.mga6
+ Revision: 1105541
- new version 1.4.2
- recommend zeitgeist

* Mon Aug 15 2016 wally <wally> 1.3.3-3.mga6
+ Revision: 1046491
- add patch originally from Fedora to fix possible startup crashes (mga#19116)

* Sat Feb 20 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 971966
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 1.3.3-1.mga6
+ Revision: 893905
- Updated to 1.3.3

* Sun Jun 21 2015 shlomif <shlomif> 1.2.2-1.mga6
+ Revision: 837876
- Correct typos
- New version 1.2.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 746688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 678321
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Thu Aug 14 2014 wally <wally> 1.0.3-1.mga5
+ Revision: 662535
- new version 1.0.3

* Mon Apr 28 2014 shlomif <shlomif> 1.0.2-2.mga5
+ Revision: 618574
- Correct URL

* Mon Apr 28 2014 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 618573
- New version 1.0.2

* Tue Feb 11 2014 wally <wally> 1.0.0-1.mga5
+ Revision: 589333
- new version 1.0.0
- rediff P0
- BR python-pexpect

* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-2.mga4
+ Revision: 541373
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 wally <wally> 0.8.2-1.mga4
+ Revision: 495814
- new version 0.8.2
- switch to gtk3
- clean .spec

* Fri Aug 02 2013 dams <dams> 0.6.4-1.mga4
+ Revision: 462552
- new version 0.6.4

* Tue May 28 2013 shlomif <shlomif> 0.6.3-1.mga4
+ Revision: 429748
- Add missing BR
- New version 0.6.3
- Remove trailing space

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-6.mga3
+ Revision: 347435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ sander85 <sander85>
- Update URL

* Sat Mar 26 2011 wally <wally> 0.3.2-5.mga1
+ Revision: 77832
- drop obsolete py_requires macro
- drop buildroot definition
- fix pyxdg package name in requires
- imported package catfish


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.3.2-5mdv2011.0
+ Revision: 590788
- rebuild for py2.7

* Wed Jun 09 2010 Funda Wang <fwang@mandriva.org> 0.3.2-4mdv2010.1
+ Revision: 547339
- add system category (bug#58189)

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2010.0
+ Revision: 436946
- rebuild

* Thu Jan 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 323191
- rebuild for new python

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.1
+ Revision: 300964
- fix file list
- update to new version 0.3.2

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.3-8mdv2009.0
+ Revision: 243437
- rebuild

* Wed Mar 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-6mdv2008.1
+ Revision: 187121
- drop suggests on beagle
- default file manager is Thunar

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-5mdv2008.1
+ Revision: 133604
- suggests beagle
- tune up desktop file

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-4mdv2008.1
+ Revision: 131980
- add patch 0, fixes separator position
- do not package COPYING file

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix missing space after final stop

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2008.1
+ Revision: 104108
- fix requires (i hope this will be last time ;)

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2008.1
+ Revision: 104053
- fix requires

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2008.1
+ Revision: 104023
- fix requires
- change requires fro strigi to beagle, as it is more apopriate ;)
- import catfish


